<script setup lang="ts">
import { useStockStore } from '@/stores/stock'
import { ref } from 'vue'

const stockStore = useStockStore()
</script>

<template>
  <v-dialog v-model:model-value="stockStore.dialog">
    <v-card class="pa-5" title="New Stock">

      <v-card-text>
        <v-container>
          <v-row>
            <v-col cols="12">
              <v-text-field v-model="stockStore.stockItem.code" label="Code"> </v-text-field>
            </v-col>
            <v-col cols="12">
              <v-text-field v-model="stockStore.stockItem.name" label="Name"> </v-text-field>
            </v-col>
            <v-col cols="12">
              <v-text-field v-model="stockStore.stockItem.price" label="Description">
              </v-text-field>
            </v-col>
            <v-col cols="12">
              <v-text-field v-model="stockStore.stockItem.balance" label="Discount"> </v-text-field>
            </v-col>
            <v-col cols="12">
              <label for="Status">Status</label>
              <v-select
                v-model="stockStore.stockItem.status"
                :items="[
                  { title: 'ปกติ', value: 'ปกติ' },
                  { title: 'เหลือน้อย', value: 'เหลือน้อย' }
                ]"
                label="status"
                :return-object="false"
              ></v-select>
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>

      <template #actions>
        <v-row justify="end">
          <v-btn @click="stockStore.closeDialog()"> Cancel </v-btn>
          <v-btn @click="stockStore.save()"> Save </v-btn>
        </v-row>
      </template>
    </v-card>
  </v-dialog>
</template>

<style scoped></style>
